Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Point::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::Point::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setPointParametersSupported (bool flag)
bool | isPointParametersSupported () const
void | glPointParameterf (GLenum pname, GLfloat param) const
void | glPointParameterfv (GLenum pname, const GLfloat *params) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isPointParametersSupported
void * | _glPointParameterf
void * | _glPointParameterfv

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

osg::Point::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::Point::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::Point::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::Point::Extensions::glPointParameterf | ( | GLenum | pname,
|  | GLfloat | param
| ) | const

void osg::Point::Extensions::glPointParameterfv | ( | GLenum | pname,
|  | const GLfloat * | params
| ) | const

bool osg::Point::Extensions::isPointParametersSupported | ( |  | ) | const`[inline]`

void osg::Point::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::Point::Extensions::setPointParametersSupported | ( | bool | flag | ) | `[inline]`

void osg::Point::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

## Member Data Documentation

void* osg::Point::Extensions::_glPointParameterf`[protected]`

void* osg::Point::Extensions::_glPointParameterfv`[protected]`

bool osg::Point::Extensions::_isPointParametersSupported`[protected]`

The documentation for this class was generated from the following file:

- Point